usip_network.register:
  path: '/form/user-registration'
  requirements: 
    _permission: 'access content' 
usip_network.invite:
  path: '/invite'
  defaults:
    _title: 'Invite User to Join Resolve'
    _form: '\Drupal\usip_network\Form\InviteForm'
  requirements:
    _permission: 'access content'
usip_network.request-connection:
  path: '/user/request-connection/{user}'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::requestConnection'
  requirements: 
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.accept-connection:
  path: '/user/accept-connection/{user}'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::acceptConnection'
  requirements: 
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.decline-connection:
  path: '/user/decline-connection/{user}'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::declineConnection'
  requirements: 
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.request-full-access:
  path: '/user/request-full-access'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::requestFullAccess'
    _title: 'Request Full Access'
  requirements: 
    _role: 'authenticated'
usip_network.recommendation-reply:
  path: '/user/recommendation-reply/{req}/{user}'
  options:
    parameters:
      req:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::recommendationReply'
    _title: 'Reply to Recommendation Request'
  requirements: 
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.propose-expert:
  path: '/user/propose-expert/{user}'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::proposeExpert'
  requirements: 
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.user-dashboard:
  path: '/user/dashboard'
  requirements: 
    _role: 'authenticated'
usip_network.remove-notification:
  path: '/notifications/remove/{nt}/{user}'
  options:
    parameters:
      nt:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::removeNotification'
  requirements:
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.clear-notifications:
  path: '/notifications/clear/{user}'
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::clearNotifications'
  requirements:
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.join-subchannel:
  path: '/user/join-subchannel/{ch}/{user}'
  options:
    parameters:
      ch:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::subscribeToSubchannel'
  requirements:
    _role: 'authenticated'
    user: ^[0-9]+
usip_network.add-to-subchannel:
  path: '/user/add-to-subchannel/{ch}/{node}'
  options:
    parameters:
      ch:
        type: entity:node
      node:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::addToSubchannel'
  requirements:
    _role: 'authenticated'
usip_network.approve-draft:
  path: '/drafts/approve/{node}'
  options:
    parameters:
      node:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::approveDraft'
  requirements:
    _role: 'authenticated'
usip_network.deny-draft:
  path: '/drafts/deny/{node}'
  options:
    parameters:
      node:
        type: entity:node
  defaults:
    _controller: '\Drupal\usip_network\Controller\UserController::denyDraft'
  requirements:
    _role: 'authenticated'